Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface TextSymbol

All Superinterfaces:
  Symbol

    @XmlElement(value="TextSymbolizer")
    public interface TextSymbol

extends Symbol

Indicates how text will be drawn.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Fill` | `getFill()` Returns the object that indicates how the text will be filled.
`List<Font>` | `getFonts()` Returns a list of Fonts to choose from when rendering this symbol.
`Halo` | `getHalo()` Returns the object that indicates if a Halo will be drawn around the text.
`Expression` | `getLabel()` Returns the expression that will be evaluated to determine what text is displayed.
`TextPlacement` | `getPlacement()` Returns the object that indicates how the text should be placed with respect to the feature geometry.
`void` | `setFill(Fill fill)` Sets the object that indicates how the text will be filled.
`void` | `setHalo(Halo halo)` Sets the object that indicates if a Halo will be drawn around the text.
`void` | `setLabel(Expression label)` Sets the expression that will be evaluated to determine what text is displayed.
`void` | `setPlacement(TextPlacement placement)` Sets the object that indicates how the text should be placed with respect to the feature geometry.

Methods inherited from interface Symbol
`accept, getAbstract, getGeometryAttribute, getName, getTitle, setAbstract, setGeometryAttribute, setName, setTitle`

Method Detail

### getLabel

    @XmlElement(value="Label")
    Expression getLabel()

  Returns the expression that will be evaluated to determine what text is displayed.

### setLabel

    @XmlElement(value="Label")
    void setLabel(Expression label)

  Sets the expression that will be evaluated to determine what text is displayed. See `getLabel()` for details.

### getFonts

    @XmlElement(value="Font")
    List<Font> getFonts()

  Returns a list of Fonts to choose from when rendering this symbol. The renderer must choose the first one in the list that it is capable of rendering. The returned list is "live" and can be modified by the caller. (This is why there is no `setFonts` method.)

### getPlacement

    @XmlElement(value="LabelPlacement")
    TextPlacement getPlacement()

  Returns the object that indicates how the text should be placed with respect to the feature geometry. This object will either be an instance of `LinePlacement` or `PointPlacement`.

### setPlacement

    @XmlElement(value="LabelPlacement")
    void setPlacement(TextPlacement placement)

  Sets the object that indicates how the text should be placed with respect to the feature geometry. See `getPlacement()` for details.

### getHalo

    @XmlElement(value="Halo")
    Halo getHalo()

  Returns the object that indicates if a Halo will be drawn around the text. If null, a halo will not be drawn.

### setHalo

    @XmlElement(value="Halo")
    void setHalo(Halo halo)

  Sets the object that indicates if a Halo will be drawn around the text. If null, a halo will not be drawn. See `getHalo()` for details.

### getFill

    @XmlElement(value="Fill")
    Fill getFill()

  Returns the object that indicates how the text will be filled.

### setFill

    @XmlElement(value="Fill")
    void setFill(Fill fill)

  Sets the object that indicates how the text will be filled. See `getFill()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.